% <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
% Funkce na ziskani hladiny pro vkladani vodoznaku
%
% function [s]=najdi_prvky_z_hladiny(obraz,hladina)
%
% Vstupni parametry obraz a hladina do ktere vkladame
% dale hodnota true or false zobraz prvky
% Vystupni je dana matice hodnot z dane hladiny
% <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

function [temp]=vloz_prvky_do_hladiny(obr,vodoznak,hladina)

Y = size(obr,2);                                    % x
X = size(obr,1);                                    % y                                 

binarni = dec2bin(obr,8);       % vytvoren vektor o vel (X*Y) x 8 a decimalni cislo na 2 vektor stringu

% <<<<<<< 8 bitovych rovin, kazda do vlastni matice 1-8 >>>>>

for m=1:Y
    for n=1:X
        
        a = ( binarni((n+((m-1)*X)),1:8) );                 % nacteni celeho vektoru stringu, 8b 
      
            switch (hladina)
                case 1
                      a(hladina)=num2str(vodoznak(n,m));
                case 2
                      a(hladina)=num2str(vodoznak(n,m));               
                case 3
                      a(hladina)=num2str(vodoznak(n,m));               
                case 4
                      a(hladina)=num2str(vodoznak(n,m));                
                case 5
                      a(hladina)=num2str(vodoznak(n,m));               
                case 6
                      a(hladina)=num2str(vodoznak(n,m));               
                case 7
                      a(hladina)=num2str(vodoznak(n,m));               
                case 8
                      a(hladina)=num2str(vodoznak(n,m));
            end
            
             temp(n,m) = bin2dec(a);

        end
end
end